GET https://api.flattr.com/rest/v2/users/:username
Status: 200 OK
Content-type: application/json;charset=utf-8
X-RateLimit-Limit: 5000
X-RateLimit-Remaining: 4999
{
"type": "user",
"resource": "https://api.flattr.com/rest/v2/users/flattr",
"link": "https://flattr.com/profile/flattr",
"username": "flattr",
"firstname": "Flattr.com",
"lastname": "",
"avatar": "",
"about": "This is the official Flattr account. We made this site :)",
"city": "",
"country": ""
}
not_found (HTTP 404) - user does not existAuthorization needed
GET https://api.flattr.com/rest/v2/user
Status: 200 OK
Content-type: application/json;charset=utf-8
X-RateLimit-Limit: 5000
X-RateLimit-Remaining: 4999
{
"type": "user",
"resource": "https://api.flattr.com/rest/v2/users/flattr",
"link": "https://flattr.com/profile/flattr",
"username": "flattr",
"firstname": "Flattr.com",
"lastname": "",
"avatar": "",
"about": "This is the official Flattr account. We made this site :)",
"city": "",
"country": ""
}
unauthorized (HTTP 401) - invalid credentials (bearer token) suppliedextendedreadStatus: 200 OK
Content-type: application/json;charset=utf-8
X-RateLimit-Limit: 5000
X-RateLimit-Remaining: 4999
{
"type": "user",
"resource": "https://api.flattr.com/rest/v2/users/flattr",
"link": "https://flattr.com/profile/flattr",
"username": "flattr",
"firstname": "Flattr.com",
"lastname": "",
"avatar": "",
"about": "This is the official Flattr account. We made this site :)",
"city": "",
"country": "",
"email": "info@flattr.com",
"registered_at": 1270166816
}